gdi32.lib

classic Classic list List threaded Threaded
20 messages Options
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

gdi32.lib

#5
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

oneeyeman
Hi,

On Thu, Apr 13, 2017 at 5:10 AM, Fernando Fiore <[hidden email]> wrote:
> im using the latest windows 10 and the sample projects cant find gdi32.lib
> or commctrl.h

Which compiler/version do you use?
How did you compile the library?

Thank you.

> thanks in advance
>
> --
> Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to [hidden email]
> or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.

To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5


Em quinta-feira, 13 de abril de 2017 09:22:23 UTC-3, Igor Korot escreveu:
Hi,

On Thu, Apr 13, 2017 at 5:10 AM, Fernando Fiore <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Sp6HqQv9DQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">no5so...@...> wrote:
> im using the latest windows 10 and the sample projects cant find gdi32.lib
> or commctrl.h

Which compiler/version do you use?

microsoft visual studio 2017 e 2015 community
 
How did you compile the library?
mingw64 i guess
Thank you.

> thanks in advance
>
> --
> Please read <a href="http://www.wxwidgets.org/support/mlhowto.htm" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;">http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Sp6HqQv9DQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">wx-users+u...@googlegroups.com
> or visit <a href="http://groups.google.com/group/wx-users" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;" onclick="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;">http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

oneeyeman
Hi,

On Thu, Apr 13, 2017 at 9:40 AM, Fernando Fiore <[hidden email]> wrote:

>
>
> Em quinta-feira, 13 de abril de 2017 09:22:23 UTC-3, Igor Korot escreveu:
>>
>> Hi,
>>
>> On Thu, Apr 13, 2017 at 5:10 AM, Fernando Fiore <[hidden email]>
>> wrote:
>> > im using the latest windows 10 and the sample projects cant find
>> > gdi32.lib
>> > or commctrl.h
>>
>> Which compiler/version do you use?
>
>
> microsoft visual studio 2017 e 2015 community

So the library was compiled successfully and the minimal can't be compiled?

Thank you.

>
>>
>> How did you compile the library?
>> mingw64 i guess
>> Thank you.
>>
>> > thanks in advance
>> >
>> > --
>> > Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
>> >
>> > To unsubscribe, send email to [hidden email]
>> > or visit http://groups.google.com/group/wx-users
>
> --
> Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to [hidden email]
> or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.

To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

David Connet-2
In reply to this post by #5
On 4/13/2017 2:10 AM, Fernando Fiore wrote:
> im using the latest windows 10 and the sample projects cant find
> gdi32.lib or commctrl.h
> thanks in advance

If you just updated VS2017 with the latest patch, it may not have
installed the 15063 SDK. And the environment is set up to use that. I
found I had to go back into my setup (on all the machines I put VS2017
on) and add the SDK. (then I had both the 14393 and 15063 SDKs installed)

Alternatively, you can call 'vcvarsall.bat amd64 10.0.14393.0' and
specifically use a particular SDK.

Dave

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.

To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
In reply to this post by oneeyeman
minimal can be compiled ( it includes two libs ) but others that need gdi32.lib or commctrl.h dont

Em quinta-feira, 13 de abril de 2017 10:43:46 UTC-3, Igor Korot escreveu:
Hi,

On Thu, Apr 13, 2017 at 9:40 AM, Fernando Fiore <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="WZDOdHwBDgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">no5so...@...> wrote:

>
>
> Em quinta-feira, 13 de abril de 2017 09:22:23 UTC-3, Igor Korot escreveu:
>>
>> Hi,
>>
>> On Thu, Apr 13, 2017 at 5:10 AM, Fernando Fiore <[hidden email]>
>> wrote:
>> > im using the latest windows 10 and the sample projects cant find
>> > gdi32.lib
>> > or commctrl.h
>>
>> Which compiler/version do you use?
>
>
> microsoft visual studio 2017 e 2015 community

So the library was compiled successfully and the minimal can't be compiled?

Thank you.

>
>>
>> How did you compile the library?
>> mingw64 i guess
>> Thank you.
>>
>> > thanks in advance
>> >
>> > --
>> > Please read <a href="http://www.wxwidgets.org/support/mlhowto.htm" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;">http://www.wxwidgets.org/support/mlhowto.htm before posting.
>> >
>> > To unsubscribe, send email to [hidden email]
>> > or visit <a href="http://groups.google.com/group/wx-users" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;" onclick="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;">http://groups.google.com/group/wx-users
>
> --
> Please read <a href="http://www.wxwidgets.org/support/mlhowto.htm" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;">http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="WZDOdHwBDgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">wx-users+u...@googlegroups.com
> or visit <a href="http://groups.google.com/group/wx-users" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;" onclick="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;">http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
In reply to this post by #5
now i cant compile minimal as is:

Severity    Code    Description    Project    File    Line    Suppression State
Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141') cannot be found. To build using the v141 build tools, please install v141 build tools.  Alternatively, you may upgrade to the current Visual Studio tools by selecting the Project menu or right-click the solution, and then selecting "Retarget solution".    base    C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets    57   
in visual studio 2015 win32 debug

Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore escreveu:
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

David Connet-2
v141 is VS2017. Sounds like your VS install and/or environment is really
messed up.

Dave

On 4/13/2017 7:16 AM, Fernando Fiore wrote:

> now i cant compile minimal as is:
>
> Severity    Code    Description    Project    File    Line
> Suppression State
> Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141')
> cannot be found. To build using the v141 build tools, please install
> v141 build tools.  Alternatively, you may upgrade to the current Visual
> Studio tools by selecting the Project menu or right-click the solution,
> and then selecting "Retarget solution".    base    C:\Program Files
> (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets
> 57
> in visual studio 2015 win32 debug

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.

To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
yes i can compile minimal on 2017 but get this error on 2015, which i could compile before

Em quinta-feira, 13 de abril de 2017 11:32:02 UTC-3, Dave escreveu:
v141 is VS2017. Sounds like your VS install and/or environment is really
messed up.

Dave

On 4/13/2017 7:16 AM, Fernando Fiore wrote:

> now i cant compile minimal as is:
>
> Severity    Code    Description    Project    File    Line
> Suppression State
> Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141')
> cannot be found. To build using the v141 build tools, please install
> v141 build tools.  Alternatively, you may upgrade to the current Visual
> Studio tools by selecting the Project menu or right-click the solution,
> and then selecting "Retarget solution".    base    C:\Program Files
> (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets
> 57
> in visual studio 2015 win32 debug

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

oneeyeman
Hi,

On Thu, Apr 13, 2017 at 10:57 AM, Fernando Fiore <[hidden email]> wrote:
> yes i can compile minimal on 2017 but get this error on 2015, which i could
> compile before

As David said - you dev environment is completely messed up.
Try to start a fresh - remove both compilers and install them new with
their own SDKs.

Then try to compile the code with both of them.

Thank you.

>
>
> Em quinta-feira, 13 de abril de 2017 11:32:02 UTC-3, Dave escreveu:
>>
>> v141 is VS2017. Sounds like your VS install and/or environment is really
>> messed up.
>>
>> Dave
>>
>> On 4/13/2017 7:16 AM, Fernando Fiore wrote:
>> > now i cant compile minimal as is:
>> >
>> > Severity    Code    Description    Project    File    Line
>> > Suppression State
>> > Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141')
>> > cannot be found. To build using the v141 build tools, please install
>> > v141 build tools.  Alternatively, you may upgrade to the current Visual
>> > Studio tools by selecting the Project menu or right-click the solution,
>> > and then selecting "Retarget solution".    base    C:\Program Files
>> > (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets
>> > 57
>> > in visual studio 2015 win32 debug
>>
> --
> Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to [hidden email]
> or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.

To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
In reply to this post by #5
now in visual studio 2017 after a few updates i get this error

"Gravidade    Código    Descrição    Projeto    Arquivo    Linha    Estado de Supressão
Erro    LNK1104    não é possível abrir o arquivo 'wxbase31ud.lib'    Projeto4    c:\Users\Fatal\documents\visual studio 2017\Projects\Projeto4\Projeto4\LINK    1   
"

Fatal is my nickname dont worry about that
is that ud for UNICODE DEBUG?

Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore escreveu:
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

oneeyeman
Hi,

On Thu, Apr 13, 2017 at 11:23 AM, Fernando Fiore <[hidden email]> wrote:

> now in visual studio 2017 after a few updates i get this error
>
> "Gravidade    Código    Descrição    Projeto    Arquivo    Linha    Estado
> de Supressão
> Erro    LNK1104    não é possível abrir o arquivo 'wxbase31ud.lib'
> Projeto4    c:\Users\Fatal\documents\visual studio
> 2017\Projects\Projeto4\Projeto4\LINK    1
> "
>
> Fatal is my nickname dont worry about that
> is that ud for UNICODE DEBUG?

Are you referring to "wxbase31ud.lib"?
Yes u is for UNICODE and d is for DEBUG.

But I'm more curious about the error message itself.

Can you translate it?

Thank you.

>
> Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore
> escreveu:
>>
>> im using the latest windows 10 and the sample projects cant find gdi32.lib
>> or commctrl.h
>> thanks in advance
>
> --
> Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to [hidden email]
> or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.

To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
In reply to this post by oneeyeman
maybe because i installed windows 10 creators edition?

Em quinta-feira, 13 de abril de 2017 12:03:44 UTC-3, Igor Korot escreveu:
Hi,

On Thu, Apr 13, 2017 at 10:57 AM, Fernando Fiore <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="45zPUtoFDgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">no5so...@...> wrote:
> yes i can compile minimal on 2017 but get this error on 2015, which i could
> compile before

As David said - you dev environment is completely messed up.
Try to start a fresh - remove both compilers and install them new with
their own SDKs.

Then try to compile the code with both of them.

Thank you.

>
>
> Em quinta-feira, 13 de abril de 2017 11:32:02 UTC-3, Dave escreveu:
>>
>> v141 is VS2017. Sounds like your VS install and/or environment is really
>> messed up.
>>
>> Dave
>>
>> On 4/13/2017 7:16 AM, Fernando Fiore wrote:
>> > now i cant compile minimal as is:
>> >
>> > Severity    Code    Description    Project    File    Line
>> > Suppression State
>> > Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141')
>> > cannot be found. To build using the v141 build tools, please install
>> > v141 build tools.  Alternatively, you may upgrade to the current Visual
>> > Studio tools by selecting the Project menu or right-click the solution,
>> > and then selecting "Retarget solution".    base    C:\Program Files
>> > (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets
>> > 57
>> > in visual studio 2015 win32 debug
>>
> --
> Please read <a href="http://www.wxwidgets.org/support/mlhowto.htm" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA&#39;;return true;">http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="45zPUtoFDgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">wx-users+u...@googlegroups.com
> or visit <a href="http://groups.google.com/group/wx-users" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;" onclick="this.href=&#39;http://groups.google.com/group/wx-users&#39;;return true;">http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

Gunter Königsmann
Gdi32.lib looks like you are trying to compile your project as a console application instead of as a gui.

As I normally develop on Linux I might bc be wrong in this point, though.

Kind regards,

Gunter.

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

David Connet-2
In reply to this post by #5

Doubt it... I had no issues with that on the machines I updated that have vs2017...

There is no way that VS2015 should be trying to use the v141 platform. Either your VS installs are borked, or your project files are. Or you're pointing the obj/lib files for both configurations to the same place (do NOT do that - they are not compatible)

Dave

On 4/13/2017 9:01 AM, Fernando Fiore wrote:
maybe because i installed windows 10 creators edition?

Em quinta-feira, 13 de abril de 2017 12:03:44 UTC-3, Igor Korot escreveu:
Hi,

On Thu, Apr 13, 2017 at 10:57 AM, Fernando Fiore <<a moz-do-not-send="true" href="javascript:" target="_blank" gdf-obfuscated-mailto="45zPUtoFDgAJ" rel="nofollow" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">no5so...@...> wrote:
> yes i can compile minimal on 2017 but get this error on 2015, which i could
> compile before

As David said - you dev environment is completely messed up.
Try to start a fresh - remove both compilers and install them new with
their own SDKs.

Then try to compile the code with both of them.

Thank you.

>
>
> Em quinta-feira, 13 de abril de 2017 11:32:02 UTC-3, Dave escreveu:
>>
>> v141 is VS2017. Sounds like your VS install and/or environment is really
>> messed up.
>>
>> Dave
>>
>> On 4/13/2017 7:16 AM, Fernando Fiore wrote:
>> > now i cant compile minimal as is:
>> >
>> > Severity    Code    Description    Project    File    Line
>> > Suppression State
>> > Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141')
>> > cannot be found. To build using the v141 build tools, please install
>> > v141 build tools.  Alternatively, you may upgrade to the current Visual
>> > Studio tools by selecting the Project menu or right-click the solution,
>> > and then selecting "Retarget solution".    base    C:\Program Files
>> > (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets
>> > 57
>> > in visual studio 2015 win32 debug
>>
> --
> Please read <a moz-do-not-send="true" href="http://www.wxwidgets.org/support/mlhowto.htm" target="_blank" rel="nofollow" onmousedown="this.href='http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA';return true;" onclick="this.href='http://www.google.com/url?q\x3dhttp%3A%2F%2Fwww.wxwidgets.org%2Fsupport%2Fmlhowto.htm\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGeLI38cNrlq2cC-jNsMzVrvhdIVA';return true;">http://www.wxwidgets.org/support/mlhowto.htm before posting.
>
> To unsubscribe, send email to <a moz-do-not-send="true" href="javascript:" target="_blank" gdf-obfuscated-mailto="45zPUtoFDgAJ" rel="nofollow" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">wx-users+u...@googlegroups.com
> or visit <a moz-do-not-send="true" href="http://groups.google.com/group/wx-users" target="_blank" rel="nofollow" onmousedown="this.href='http://groups.google.com/group/wx-users';return true;" onclick="this.href='http://groups.google.com/group/wx-users';return true;">http://groups.google.com/group/wx-users
--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

David Connet-2
In reply to this post by Gunter Königsmann

You would be :)

GDI32 implies graphical drawing (as in a gui). But there's nothing that says a console program can't do that too (it can).

Dave


On 4/13/2017 9:07 AM, Gunter Königsmann wrote:
Gdi32.lib looks like you are trying to compile your project as a console application instead of as a gui.

As I normally develop on Linux I might bc be wrong in this point, though.

Kind regards,

Gunter.
--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
In reply to this post by #5


Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore escreveu:
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

I rebuild the library this time using visual studio 2017 and downgrade my windows ( it was creators version )
now it seems to compile. i will keep u guys updated thanks for the promptly responses and excuse my english

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
#5
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

#5
ive built all kind of libraries of wxwidgets in visual studio 2017 (u,d,dll) and it works fine
but in visual studio 2015 i get this error message:
"Severity    Code    Description    Project    File    Line    Suppression State
Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141') cannot be found. To build using the v141 build tools, please install v141 build tools.  Alternatively, you may upgrade to the current Visual Studio tools by selecting the Project menu or right-click the solution, and then selecting "Retarget solution".    base    C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets    57   
"

wth is this?

Em quinta-feira, 13 de abril de 2017 14:31:47 UTC-3, Fernando Fiore escreveu:


Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore escreveu:
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

I rebuild the library this time using visual studio 2017 and downgrade my windows ( it was creators version )
now it seems to compile. i will keep u guys updated thanks for the promptly responses and excuse my english

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

David Connet-2

Your 2015 environment is trying to use the 2017 platform toolset. You need to target the v140 toolset.

Dave


On 4/13/2017 12:23 PM, Fernando Fiore wrote:
ive built all kind of libraries of wxwidgets in visual studio 2017 (u,d,dll) and it works fine
but in visual studio 2015 i get this error message:
"Severity    Code    Description    Project    File    Line    Suppression State
Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141') cannot be found. To build using the v141 build tools, please install v141 build tools.  Alternatively, you may upgrade to the current Visual Studio tools by selecting the Project menu or right-click the solution, and then selecting "Retarget solution".    base    C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets    57   
"

wth is this?

Em quinta-feira, 13 de abril de 2017 14:31:47 UTC-3, Fernando Fiore escreveu:


Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore escreveu:
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

I rebuild the library this time using visual studio 2017 and downgrade my windows ( it was creators version )
now it seems to compile. i will keep u guys updated thanks for the promptly responses and excuse my english
--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gdi32.lib

David Connet-2

I should add - you cannot use the same vcxproj file for different solutions (it sounds like you're trying to open the vs2017 project file in 2015).


On 4/13/2017 12:27 PM, David Connet wrote:

Your 2015 environment is trying to use the 2017 platform toolset. You need to target the v140 toolset.

Dave


On 4/13/2017 12:23 PM, Fernando Fiore wrote:
ive built all kind of libraries of wxwidgets in visual studio 2017 (u,d,dll) and it works fine
but in visual studio 2015 i get this error message:
"Severity    Code    Description    Project    File    Line    Suppression State
Error    MSB8020    The build tools for v141 (Platform Toolset = 'v141') cannot be found. To build using the v141 build tools, please install v141 build tools.  Alternatively, you may upgrade to the current Visual Studio tools by selecting the Project menu or right-click the solution, and then selecting "Retarget solution".    base    C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.Cpp.Platform.targets    57   
"

wth is this?

Em quinta-feira, 13 de abril de 2017 14:31:47 UTC-3, Fernando Fiore escreveu:


Em quinta-feira, 13 de abril de 2017 08:47:19 UTC-3, Fernando Fiore escreveu:
im using the latest windows 10 and the sample projects cant find gdi32.lib or commctrl.h
thanks in advance

I rebuild the library this time using visual studio 2017 and downgrade my windows ( it was creators version )
now it seems to compile. i will keep u guys updated thanks for the promptly responses and excuse my english
--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users

--
Please read http://www.wxwidgets.org/support/mlhowto.htm before posting.
 
To unsubscribe, send email to [hidden email]
or visit http://groups.google.com/group/wx-users
Loading...